package merchant

import (
	"context"
	"kami/internal/service"

	"kami/api/merchant/v1"
)

func (c *ControllerV1) StealUpdateStatus(ctx context.Context, req *v1.StealUpdateStatusReq) (res *v1.StealUpdateStatusRes, err error) {
	err = service.StealRule().UpdateStatus(ctx, req.ID, req.Enable)
	return
}
